Bug 884291 (gvrng) - Review Request: gvrng - LOGO styled programming tutor for kids
Summary: Review Request: gvrng - LOGO styled programming tutor for kids
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: gvrng
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-05 20:14 UTC by Neil Horman
Modified: 2013-01-16 19:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-16 19:43:58 UTC
mario.blaettermann: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Neil Horman 2012-12-05 20:14:21 UTC
Spec URL: http://people.redhat.com/nhorman/gvrng.spec
SRPM URL: http://people.redhat.com/nhorman/gvrng-4.4-1.fc17.src.rpm

Description: gvrng (Guido Van Robot - Next Generation), is a programming environment designed to teach children programming fundamentals by having them guide a Logo like robot out of a series of mazes using some basic commands combined with basic programming constructs (loops/conditionals/etc).

Fedora Account System Username: nhorman

Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4760613

Comment 1 Trond H. Amundsen 2012-12-19 20:19:09 UTC
Based on a quick reading of the spec I have only one comment. Don't use macros for basic commands like in the %clean section. In fact, the whole %clean section isn't needed unless EPEL5 is one of the intended targets for the package: https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#.25clean

Comment 2 Neil Horman 2012-12-19 20:36:07 UTC
Thanks trond, I'll note that and clean it up when I get an official review of this.

Comment 3 Mario Blättermann 2012-12-19 22:00:28 UTC
Taking this for a full review.

Comment 4 Mario Blättermann 2012-12-19 22:39:27 UTC
Scratch build for f18:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4804369


$ rpmlint -i -v *
gvrng.src: I: checking
gvrng.src: I: checking-url http://gvr.sourceforge.net (timeout 10 seconds)
gvrng.src: I: checking-url http://downloads.sourceforge.net/project/gvr/GvR%20GTK/4.4/GvRng_4.4.tgz (timeout 10 seconds)
gvrng.noarch: I: checking
gvrng.noarch: I: checking-url http://gvr.sourceforge.net (timeout 10 seconds)
gvrng.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/gvrng/gvrng.py 0644L /usr/bin/env
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/gvrng.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/14.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/start_activity.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/01.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/17.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/12.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/GvrController.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/02.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/GvrModel.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/gvrng/GPL-2
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/GPL-2
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/08.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/04.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/utils.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/gui-gtk/Win_Editors.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/gui-gtk/fake_sugar_activity.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/05.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/gui-gtk/Editors.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/langref.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/index.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/copyright
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/15.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/10.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/gvrng/gui-gtk/gvr_gtk.py 0644L /usr/bin/env
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.

gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/gui-gtk/gvr_gtk.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/07.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/16.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/06.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/18.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/13.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/03.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/gui-gtk/Widgets.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: W: dangling-symlink /usr/lib/python2.7/site-packages/gvrng/docs /usr/share/doc/gvrng
The target of the symbolic link does not exist within this package or its file
based dependencies.  Verify spelling of the link target and that the target is
included in a package in this package's dependency chain.

gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/gvrparser.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/09.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/11.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: W: file-not-in-%lang /usr/lib/python2.7/site-packages/gvrng/locale/ca/LC_MESSAGES/gvrng.mo
gvrng.noarch: W: file-not-in-%lang /usr/lib/python2.7/site-packages/gvrng/locale/cs/LC_MESSAGES/gvrng.mo
gvrng.noarch: W: file-not-in-%lang /usr/lib/python2.7/site-packages/gvrng/locale/de/LC_MESSAGES/gvrng.mo
gvrng.noarch: W: file-not-in-%lang /usr/lib/python2.7/site-packages/gvrng/locale/es/LC_MESSAGES/gvrng.mo
gvrng.noarch: W: file-not-in-%lang /usr/lib/python2.7/site-packages/gvrng/locale/fr/LC_MESSAGES/gvrng.mo
gvrng.noarch: W: file-not-in-%lang /usr/lib/python2.7/site-packages/gvrng/locale/it/LC_MESSAGES/gvrng.mo
gvrng.noarch: W: file-not-in-%lang /usr/lib/python2.7/site-packages/gvrng/locale/nl/LC_MESSAGES/gvrng.mo
gvrng.noarch: W: file-not-in-%lang /usr/lib/python2.7/site-packages/gvrng/locale/no/LC_MESSAGES/gvrng.mo
gvrng.noarch: W: file-not-in-%lang /usr/lib/python2.7/site-packages/gvrng/locale/ro/LC_MESSAGES/gvrng.mo
gvrng.spec: I: checking-url http://downloads.sourceforge.net/project/gvr/GvR%20GTK/4.4/GvRng_4.4.tgz (timeout 10 seconds)
2 packages and 1 specfiles checked; 35 errors, 11 warnings.


The file /usr/share/doc/gvrng/GPL-2 has a wrong line ending (DOS style). Please correct it.

The script gvrng.py resides in %{python_sitelib} and contains a shebang. This is not needed for Python scripts, unless they are in /usr/bin or somewhere else. please remove the shebang.

Don't bother with the wronf FSF addresses. Well, you could change them using a sed command, but it's your decision. You are not forced by the packaging guidelines to do so:
https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address
In any case, you have to inform the upstream people, if possible.

The translation files (*.mo) have to be installed using the find_lang macro:
http://fedoraproject.org/wiki/Packaging:Guidelines#Handling_Locale_Files

ln -s /usr/share/doc/gvrng/ %{buildroot}%{python_sitelib}/gvrng/docs
This doesn't work. The hardcoded path has to be replaced with a relative path to %{buildroot}.

This application seems to have a Gtk interface. But Gtk is not in the runtime dependencies of the package:

$ rpm -qpR gvrng*noarch.rpm
/bin/sh
python(abi) = 2.7
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

After a first look at the source code, obviously you have to add pygtk2-libglade, maybe some more.

Last but not least it is a graphical application, and as such it needs a desktop file:
http://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files

Comment 5 Neil Horman 2012-12-20 21:53:06 UTC
Can you elaborate on the symlink error?  I'm going over it in my head, and I'm just not seeing the problem.  I'm reading the guidlines:
https://fedoraproject.org/wiki/Packaging:Guidelines#Symlinks

And absolute symlinks are fine according to that.  The rpmlint error is indicating that the target of the symlink doesn't point to a location owned by the rpm, but in looking at the rpm when its installed, I see this:
 cd /usr/lib/python2.7/site-packages/gvrng/
 [root@hmsreliant gvrng]# ls -l docs
lrwxrwxrwx. 1 root root 20 Dec 20 16:50 docs -> /usr/share/doc/gvrng
[root@hmsreliant gvrng]#

Which looks correct to me.

Comment 6 Neil Horman 2012-12-21 17:55:33 UTC
Take that back, figured out the problem.  I had the symlink setup pretty well correct, but I wasn't including the directory in the list of owned paths in the %files section.

Comment 7 Neil Horman 2012-12-21 18:48:58 UTC
Ok, new files available:
Spec URL: http://people.redhat.com/nhorman/gvrng.spec
SRPM URL: http://people.redhat.com/nhorman/gvrng-4.4-2.fc17.src.rpm

I've fixed all the issues you note in comment 4, except for the incorrect fsf address issue.  I've opted not to bother with those, but I have informed upstream of the issue:
https://sourceforge.net/tracker/?func=detail&aid=3598079&group_id=85427&atid=576152

Thanks!

Comment 8 Mario Blättermann 2012-12-27 13:22:03 UTC
New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4821314


$ rpmlint -i -v *
gvrng.src: I: checking
gvrng.src: I: checking-url http://gvr.sourceforge.net (timeout 10 seconds)
gvrng.src: I: checking-url http://downloads.sourceforge.net/project/gvr/GvR%20GTK/4.4/GvRng_4.4.tgz (timeout 10 seconds)
gvrng.noarch: I: checking
gvrng.noarch: I: checking-url http://gvr.sourceforge.net (timeout 10 seconds)
gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/gvrng.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/14.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/start_activity.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/01.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/17.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/12.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/GvrController.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/02.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/GvrModel.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/GPL-2
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/08.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/04.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/utils.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/gui-gtk/Win_Editors.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/gui-gtk/fake_sugar_activity.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/05.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/gui-gtk/Editors.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/langref.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/index.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/18.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/copyright
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/15.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/10.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/gui-gtk/gvr_gtk.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/07.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/16.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/06.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/13.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/03.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/gui-gtk/Widgets.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/gvrng/gvrparser.py
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/09.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.noarch: E: incorrect-fsf-address /usr/share/doc/gvrng/lessons/en/html/11.html
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

gvrng.spec: I: checking-url http://downloads.sourceforge.net/project/gvr/GvR%20GTK/4.4/GvRng_4.4.tgz (timeout 10 seconds)
2 packages and 1 specfiles checked; 33 errors, 0 warnings.

The remaining errors refer to wrong FSF addresses, ignorable for the time being.



$ rpm -qpR *noarch.rpm
/bin/sh
pygtk2-libglade
python(abi) = 2.7
python2
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

You defined an explicite runtime dependency to python2, which is superfluous here. It is covered by python(abi) = 2.7 anyway. Moreover, pygtk2-libglade needs python2 recursively. That's why you can safely drop python2 from "Requires:".

The %clean section is an artifact from older Fedora releases, see comment #1. However, if you want to provide packages for EPEL 5, you will need it, though. But in this case, you have to add some more things, such as a BuildRoot declaration and the initial cleaning of %buildroot in %install. Either add the missing stuff to your spec (for el5 only) or drop the %clean section.

Comment 9 Neil Horman 2012-12-27 19:58:28 UTC
Spec URL: http://people.redhat.com/nhorman/gvrng.spec
SRPM URL: http://people.redhat.com/nhorman/gvrng-4.4-3.fc17.src.rpm

There you go, I'm not targeting this for EPEL :).  Thanks!

Comment 10 Mario Blättermann 2012-12-27 21:08:30 UTC
---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv2+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    8702e13425f5f6bc53bb61b8eafbf034d77edf7f33abaff300f158a3d1538a3e  GvRng_4.4.tgz
    8702e13425f5f6bc53bb61b8eafbf034d77edf7f33abaff300f158a3d1538a3e  GvRng_4.4.tgz.1

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[.] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------

Comment 11 Neil Horman 2012-12-30 00:52:30 UTC
thanks!

New Package SCM Request
=======================
Package Name: gvrng
Short Description: LOGO like python based programming language game for kids
Owners: nhorman
Branches: f17 f18
InitialCC:

Comment 12 Kevin Fenzi 2012-12-30 20:27:56 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2012-12-31 15:08:17 UTC
gvrng-4.4-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gvrng-4.4-3.fc17

Comment 14 Fedora Update System 2012-12-31 15:41:42 UTC
gvrng-4.4-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gvrng-4.4-3.fc18

Comment 15 Fedora Update System 2013-01-02 04:59:22 UTC
gvrng-4.4-3.fc17 has been pushed to the Fedora 17 testing repository.

Comment 16 Fedora Update System 2013-01-12 00:38:44 UTC
gvrng-4.4-3.fc18 has been pushed to the Fedora 18 stable repository.

Comment 17 Samuel Sieb 2013-01-14 01:22:15 UTC
There's a missing dependency on pygtksourceview.  And the desktop file is either in the wrong place or doesn't get registered on install.

Comment 18 Mario Blättermann 2013-01-15 20:30:13 UTC
(In reply to comment #17)
> There's a missing dependency on pygtksourceview.  And the desktop file is
> either in the wrong place or doesn't get registered on install.

This is not the right place here, just the package review. Please file a separate bug against the gvrng package.

Comment 19 Samuel Sieb 2013-01-15 20:36:02 UTC
I thought those were appropriate review issues (although I guess it's too late because it's already in), but I will file separate bugs.

Comment 20 Fedora Update System 2013-01-16 19:44:00 UTC
gvrng-4.4-3.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.